/* Hello World Example

   This example code is in the Public Domain (or CC0 licensed, at your option.)

   Unless required by applicable law or agreed to in writing, this
   software is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
   CONDITIONS OF ANY KIND, either express or implied.
*/
#include <stdio.h>
#include "mnthread.h"
#include "esp_system.h"
#include "driver/gpio.h"
#include "sdkconfig.h"
#include "xtensa/core-macros.h"


class cpu1_task : public mthread {
public:
  cpu1_task() : mthread("hello_task", 5, 2048) { k = 0;}

  virtual void*         on_thread() {

    for(;;) {
        printf("HalloWelt!\n");
        sleep(1);
    }

    return &k;
  }
private:
  int k;
};

extern "C" void app_main()
{

    cpu1_task __test1;
    __test1.create();

    for(;;) { }

}
